# __gnu_parallel::accumulate_binop_reduct< BinOp > Struct Template Reference

List of all members.

## Detailed Description

### template<typename BinOp>
struct __gnu_parallel::accumulate_binop_reduct< BinOp >

General reduction, using a binary operator.

Definition at line 352 of file for_each_selectors.h.

## Public Member Functions

- accumulate_binop_reduct (BinOp &b)
- template<typename Result, typename Addend> Result operator() (const Result &x, const Addend &y)

## Public Attributes

- BinOp & binop

The documentation for this struct was generated from the following file:

- for_each_selectors.h